Bug 163279 - MediaResourceLoader should use CachedResource::resourceError to do CORS checks
Summary: MediaResourceLoader should use CachedResource::resourceError to do CORS checks
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-11 08:27 PDT by youenn fablet
Modified: 2016-10-14 02:07 PDT (History)
3 users (show)

See Also:


Attachments
Patch (3.74 KB, patch)
2016-10-11 08:32 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch for landing (3.64 KB, patch)
2016-10-14 01:15 PDT, youenn fablet
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description youenn fablet 2016-10-11 08:27:01 PDT
Currently, MediaResourceLoader is doing the CORS checks itself.
We should align MediaResourceLoader with other loaders like ImageLoader.
Comment 1 youenn fablet 2016-10-11 08:32:38 PDT
Created attachment 291261 [details]
Patch
Comment 2 Jer Noble 2016-10-12 10:48:55 PDT
Comment on attachment 291261 [details]
Patch

If this fixes a small bug, how is it covered by existing tests?
Comment 3 youenn fablet 2016-10-12 11:19:16 PDT
(In reply to comment #2)
> Comment on attachment 291261 [details]
> Patch
> 
> If this fixes a small bug, how is it covered by existing tests?

OK, I'll add a test then.
Comment 4 Darin Adler 2016-10-13 12:41:11 PDT
Heh, I had the same thought as Jer, but I didn’t say anything. Oops.
Comment 5 youenn fablet 2016-10-14 01:15:16 PDT
Created attachment 291591 [details]
Patch for landing
Comment 6 youenn fablet 2016-10-14 01:18:49 PDT
(In reply to comment #3)
> (In reply to comment #2)
> > Comment on attachment 291261 [details]
> > Patch
> > 
> > If this fixes a small bug, how is it covered by existing tests?
> 
> OK, I'll add a test then.

I was wrong, there was no bug since the crossOrigin value could not be changed once set in MediaResourceLoader.

I fixed the change log
Comment 7 WebKit Commit Bot 2016-10-14 02:07:02 PDT
Comment on attachment 291591 [details]
Patch for landing

Clearing flags on attachment: 291591

Committed r207331: <http://trac.webkit.org/changeset/207331>
Comment 8 WebKit Commit Bot 2016-10-14 02:07:06 PDT
All reviewed patches have been landed.  Closing bug.